<?php
session_start();

if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] !== true) {
  header('Location: login.php');
  exit;
}
?>
<?php
include 'config.php';

$sql = "SELECT * FROM admin WHERE id=1";
$result = mysqli_query($db, $sql);

if (mysqli_num_rows($result) > 0) {
  $row = mysqli_fetch_assoc($result);
  $username = $row['username'];
  $image = $row['image'];
}

mysqli_close($db);
?>
<?php
include 'config.php';
$logoSql = "SELECT * FROM logo";
$logoResult = mysqli_query($db, $logoSql);
$logoRow = mysqli_fetch_assoc($logoResult);

$logoImagePath = !empty($logoRow['image']) ? "assets/logo/{$logoRow['image']}" : '';
$faviconImagePath = !empty($logoRow['favicon']) ? "assets/logo/{$logoRow['favicon']}" : '';
?>
<!DOCTYPE html>

<html lang="en" class="light-style layout-menu-fixed layout-compact" dir="ltr" data-theme="theme-default"
  data-assets-path="assets/" data-template="vertical-menu-template-free">

<head>
  <meta charset="utf-8" />
  <meta name="viewport"
    content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />

  <title>
    Admin Dashboard
  </title>

  <meta name="description" content="Most Powerful &amp; Comprehensive Admin Dashboard For Certificate" />
  <meta name="keywords" content="Certificate , Dashboard , Admin Panel" />


  <link rel="icon" href="<?php echo $faviconImagePath; ?>" type="image/x-icon" />

  <!-- Fonts -->
  <link rel="preconnect" href="https://fonts.googleapis.com/" />
  <link rel="preconnect" href="https://fonts.gstatic.com/" crossorigin />
  <link
    href="https://fonts.googleapis.com/css2?family=Public+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&amp;display=swap"
    rel="stylesheet" />

  <link rel="stylesheet" href="assets/vendor/fonts/boxicons.css" />

  <!-- Core CSS -->
  <link rel="stylesheet" href="assets/vendor/css/core.css" class="template-customizer-core-css" />
  <link rel="stylesheet" href="assets/vendor/css/theme-default.css" class="template-customizer-theme-css" />
  <link rel="stylesheet" href="assets/css/demo.css" />

  <!-- Vendors CSS -->
  <link rel="stylesheet" href="assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.css" />
  <link rel="stylesheet" href="assets/vendor/libs/apex-charts/apex-charts.css" />
  <!-- summernote -->
  <link rel="stylesheet" href="assets/summernote/summernote-bs4.min.css">
  <!-- Page CSS -->

  <!-- Helpers -->
  <script src="assets/vendor/js/helpers.js"></script>
  <script src="assets/js/config.js"></script>

  <!-- Helpers -->
  <script src="assets/vendor/js/helpers.js"></script>

  <script src="assets/vendor/js/template-customizer.js"></script>

  <script src="assets/js/config.js"></script>

  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />


  <!-- Icons -->
  <link rel="stylesheet" href="assets/vendor/fonts/boxicons.css" />
  <link rel="stylesheet" href="assets/vendor/fonts/fontawesome.css" />
  <link rel="stylesheet" href="assets/vendor/fonts/flag-icons.css" />


  <style>
    .select2-container {
      width: 100% !important;
    }
  </style>
</head>


<body>

  <!-- Layout wrapper -->
  <div class="layout-wrapper layout-content-navbar  ">
    <div class="layout-container">

      <!-- Menu -->

      <aside id="layout-menu" class="layout-menu menu-vertical menu bg-menu-theme">


        <div class="app-brand demo ">
          <a href="index.php" class="app-brand-link">
            <img src="<?php echo $logoImagePath; ?>" alt="Institute Logo" alt="Logo" width="100px">
          </a>

          <a href="javascript:void(0);" class="layout-menu-toggle menu-link text-large ms-auto">
            <i class="bx bx-chevron-left bx-sm align-middle"></i>
          </a>
        </div>

        <div class="menu-inner-shadow"></div>

        <ul class="menu-inner py-1">
          <!-- Dashboard -->
          <li class="menu-item active">
            <a href="index.php" class="menu-link">
              <i class="menu-icon tf-icons bx bx-home-circle"></i>
              <div data-i18n="Analytics">Dashboard</div>
            </a>
          </li>
          <li class="menu-item homeli">
            <a href="javascript:void(0)" class="menu-link menu-toggle">
              <i class="menu-icon tf-icons bx bx-slider"></i>
              <div data-i18n="College">Website FrontEnd</div>
            </a>
            <ul class="menu-sub">

              <li class="menu-item">
                <a href="addtestimonial.php" class="menu-link">
                  <div data-i18n="Add Category">Testimonial</div>
                </a>
              </li>
              <li class="menu-item">
                <a href="slider.php" class="menu-link">
                  <div>Slider</div>
                </a>
              </li>
              <li class="menu-item">
                <a href="addGallery.php" class="menu-link">
                  <div>Gallery</div>
                </a>
              </li>
              <li class="menu-item">
                <a href="addVideo.php" class="menu-link">
                  <div>Video</div>
                </a>
              </li>
              <li class="menu-item">
                <a href="add-logo.php" class="menu-link">
                  <div>Logo </div>
                </a>
              </li>
              <li class="menu-item">
                <a href="color-management.php" class="menu-link">
                  <div>Manage Website Color </div>
                </a>
              </li>
              <li class="menu-item">
                <a href="social-links.php" class="menu-link">
                  <div>Social Links & Info</div>
                </a>
              </li>
              <li class="menu-item">
                <a href="advertisement-popup.php" class="menu-link">
                  <div>Advertisement PopUp</div>
                </a>
              </li>
              <li class="menu-item">
                <a href="add-team.php" class="menu-link">
                  <div>Teams</div>
                </a>
              </li>
              <li class="menu-item">
                <a href="add-topstudents.php" class="menu-link">
                  <div>Topper Students</div>
                </a>
              </li>


            </ul>
          </li>

          <li class="menu-item contentli">
            <a href="javascript:void(0)" class="menu-link menu-toggle">
              <i class="menu-icon tf-icons bx bx-book-content"></i>
              <div data-i18n="College">Manage Contents</div>
            </a>
            <ul class="menu-sub">
              <li class="menu-item">
                <a href="create-menu.php" class="menu-link">
                  <div>Create Menu</div>
                </a>
              </li>
              <li class="menu-item">
                <a href="add-page-details.php" class="menu-link">
                  <div>Page Content</div>
                </a>
              </li>
              <li class="menu-item">
                <a href="home-content.php" class="menu-link">
                  <div>Home Content</div>
                </a>
              </li>

            </ul>
          </li>
          <li class="menu-item courseli">
            <a href="javascript:void(0)" class="menu-link menu-toggle">
              <i class="menu-icon tf-icons bx bxl-discourse"></i>
              <div data-i18n="College">Manage Course</div>
            </a>
            <ul class="menu-sub">

              <li class="menu-item">
                <a href="add-awards.php" class="menu-link">
                  <div>Awards</div>
                </a>
              </li>
              <li class="menu-item">
                <a href="add-subject.php" class="menu-link">
                  <div>Subject</div>
                </a>
              </li>
              <li class="menu-item">
                <a href="add-course.php" class="menu-link">
                  <div>Courses</div>
                </a>
              </li>
            </ul>
          </li>

          <li class="menu-item studentli">
            <a href="javascript:void(0)" class="menu-link menu-toggle">

              <i class="menu-icon tf-icons bx bx-street-view"></i>
              <div data-i18n="College">Manage Students</div>
            </a>
            <ul class="menu-sub">

              <li class="menu-item">
                <a href="student.php" class="menu-link">
                  <div data-i18n="Analytics">Add Students</div>
                </a>
              </li>
              <li class="menu-item">
                <a href="view-students.php" class="menu-link">
                  <div data-i18n="Analytics">View Students</div>
                </a>
              </li>

            </ul>
          </li>
          <li class="menu-item enquiryli">
            <a href="javascript:void(0)" class="menu-link menu-toggle">
              <i class="menu-icon tf-icons bx bxs-contact"></i>
              <div data-i18n="College">Enquiry</div>
            </a>
            <ul class="menu-sub">

              <li class="menu-item">
                <a href="viewcontactenquiry.php" class="menu-link">
                  <div data-i18n="Add Category">Website Enquiry</div>
                </a>
              </li>
              <li class="menu-item">
                <a href="viewenrollment.php" class="menu-link">
                  <div>Enrollment Enquiry</div>
                </a>
              </li>

            </ul>
          </li>

          <li class="menu-item examli">
            <a href="javascript:void(0)" class="menu-link menu-toggle">
              <i class='menu-icon tf-icons bx bxs-bar-chart-square'></i>
              <div data-i18n="College">Manage Exams</div>
            </a>
            <ul class="menu-sub">

              <li class="menu-item">
                <a href="upload-design.php" class="menu-link">
                  <div>Upload Marksheet , Certificate , Admission Form</div>
                </a>
              </li>

              <li class="menu-item">
                <a href="create-result.php" class="menu-link">
                  <div>Generate Result</div>
                </a>
              </li>


            </ul>
          </li>

          <li class="menu-item">
            <a href="editprofile.php" class="menu-link">
              <i class="menu-icon tf-icons bx bx-message-square-edit"></i>
              <div data-i18n="Analytics">Edit Profile</div>
            </a>
          </li>
          <li class="menu-item">
            <a href="logout.php" class="menu-link" id="logout2">
              <i class="menu-icon tf-icons bx bx-power-off"></i>
              <div data-i18n="Analytics">Logout</div>
            </a>
          </li>
        </ul>
      </aside>
      <!-- / Menu -->



      <!-- Layout container -->
      <div class="layout-page">





        <!-- Navbar -->




        <nav
          class="layout-navbar container-xxl navbar navbar-expand-xl navbar-detached align-items-center bg-navbar-theme"
          id="layout-navbar">











          <div class="layout-menu-toggle navbar-nav align-items-xl-center me-3 me-xl-0   d-xl-none ">
            <a class="nav-item nav-link px-0 me-xl-4" href="javascript:void(0)">
              <i class="bx bx-menu bx-sm"></i>
            </a>
          </div>


          <div class="navbar-nav-right d-flex align-items-center" id="navbar-collapse">




            <!-- Search -->
            <div class="navbar-nav align-items-center">
              <div class="nav-item navbar-search-wrapper mb-0">
                <a class="nav-item nav-link search-toggler px-0" href="javascript:void(0);">
                  <i class="bx bx-search bx-sm"></i>
                  <span class="d-none d-md-inline-block text-muted">Search (Ctrl+/)</span>
                </a>
              </div>
            </div>
            <!-- /Search -->





            <ul class="navbar-nav flex-row align-items-center ms-auto">


              <!-- User -->
              <li class="nav-item navbar-dropdown dropdown-user dropdown">
                <a class="nav-link dropdown-toggle hide-arrow" href="javascript:void(0);" data-bs-toggle="dropdown">
                  <div class="avatar avatar-online">
                    <img src="assets/profile/<?php echo $image; ?>" alt class="w-px-40 h-auto rounded-circle">
                  </div>
                </a>
                <ul class="dropdown-menu dropdown-menu-end">
                  <li>
                    <a class="dropdown-item" href="pages-account-settings-account.html">
                      <div class="d-flex">
                        <div class="flex-shrink-0 me-3">
                          <div class="avatar avatar-online">
                            <img src="assets/profile/<?php echo $image; ?>" alt class="w-px-40 h-auto rounded-circle">
                          </div>
                        </div>
                        <div class="flex-grow-1">
                          <span class="fw-medium d-block">
                            <?php echo $username; ?>
                          </span>
                          <small class="text-muted">Admin</small>
                        </div>
                      </div>
                    </a>
                  </li>
                  <li>
                    <div class="dropdown-divider"></div>
                  </li>
                  <li>
                    <a class="dropdown-item" href="editprofile.php">
                      <i class="bx bx-user me-2"></i>
                      <span class="align-middle">My Profile</span>
                    </a>
                  </li>

                  <li>
                    <a class="dropdown-item" href="logout.php" id="logout">
                      <i class="bx bx-power-off me-2"></i>
                      <span class="align-middle">Log Out</span>
                    </a>
                  </li>
                </ul>
              </li>
              <!--/ User -->


            </ul>
          </div>


          <!-- Search Small Screens -->
          <div class="navbar-search-wrapper search-input-wrapper  d-none">
            <input type="text" class="form-control search-input container-xxl border-0" placeholder="Search..."
              aria-label="Search...">
            <i class="bx bx-x bx-sm search-toggler cursor-pointer"></i>
          </div>


        </nav>



        <!-- / Navbar -->

        <script>
          document.getElementById('logout').addEventListener('click', function (event) {
            event.preventDefault();
            return swal({
              title: "Are you sure Want To Logout?",
              text: "Are you sure Want To Logout?",
              icon: "warning",
              buttons: true,
              dangerMode: true,
            }).then((willDelete) => {
              if (willDelete) {
                window.location.href = this.getAttribute("href");
              } else {
                swal("Your Data is safe!");
              }
            });
          });
          document.getElementById('logout2').addEventListener('click', function (event) {
            event.preventDefault();
            return swal({
              title: "Are you sure Want To Logout?",
              text: "Are you sure Want To Logout?",
              icon: "warning",
              buttons: true,
              dangerMode: true,
            }).then((willDelete) => {
              if (willDelete) {
                window.location.href = this.getAttribute("href");
              } else {
                swal("Your're Not Logged Out'!");
              }
            });
          });
        </script>
        <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
        <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
        <script>
          $(document).ready(function () {
            var currentUrl = window.location.href;
            var urlsToCheck = [
              "addtestimonial.php",
              "slider.php",
              "color-management.php",
              "addGallery.php",
              "addVideo.php",
              "add-logo.php",
              "social-links.php",
              "advertisement-popup.php",
              "add-team.php",
              "add-topstudents.php"
            ];
            var urlsToCheck2 = [
              "create-menu.php",
              "add-page-details.php",
              "home-content.php"
            ];
            var urlsToCheck3 = [
              "add-awards.php",
              "add-subject.php",
              "add-course.php"
            ];
            var urlsToCheck4 = [
              "student.php",
              "view-students.php"
            ];
            var urlsToCheck5 = [
              "viewcontactenquiry.php",
              "viewenrollment.php"
            ];
            var urlsToCheck6 = [
              "upload-design.php",
              "create-result.php"
            ];

            if (urlsToCheck.some(url => currentUrl.includes(url))) {
              $(".menu-item.homeli").addClass("open");
            } 
            else if(urlsToCheck2.some(url => currentUrl.includes(url))){
              $(".menu-item.contentli").addClass("open");

            }
            else if(urlsToCheck3.some(url => currentUrl.includes(url))){
              $(".menu-item.courseli").addClass("open");

            }
            else if(urlsToCheck4.some(url => currentUrl.includes(url))){
              $(".menu-item.studentli").addClass("open");

            }
            else if(urlsToCheck5.some(url => currentUrl.includes(url))){
              $(".menu-item.enquiryli").addClass("open");

            }
            else if(urlsToCheck6.some(url => currentUrl.includes(url))){
              $(".menu-item.examli").addClass("open");

            }
          });
        </script>