<?php include 'include/header.php'; ?>
<section class="page-title">
	<div class="container">
		<div class="row"> 
			<div class="col-lg-12 col-md-12">

				<div class="breadcrumbs-wrap">
					<h1 class="breadcrumb-title">Courses</h1>
					<nav aria-label="breadcrumb">
						<ol class="breadcrumb p-0 bg-white">
							<li class="breadcrumb-item"><a href="index.php" class="text-dark">Home</a></li>
							<li class="breadcrumb-item active theme-cl" aria-current="page">Courses</li>
						</ol>
					</nav>
				</div>

			</div>
		</div>
	</div>
</section>
<!-- ============================ Page Title End ================================== -->

<!-- ============================ Course Detail ================================== -->
<section class="gray">
	<div class="container">


		<div class="row justify-content-center">

			<?php
			include("admin/config.php");

			$sql = "SELECT * FROM courses";
			$result = $db->query($sql);

			if ($result->num_rows > 0) {
				while ($row = $result->fetch_assoc()) {
					$imagePath = 'admin/assets/course/' . $row['image'];
					$cname = $row["courses"];
					$encodedSubmenu = urlencode($cname);
					echo '<div class="col-xl-4 col-lg-4 col-md-6 col-sm-12">
				<div class="crs_grid brd">
					<div class="crs_grid_thumb">
						<a href="course-detail.php/' . $encodedSubmenu . '" class="crs_detail_link">
							<img src="' . $imagePath . '" class="img-fluid rounded" alt="Course Cover">
						</a>
						
					</div>
					<div class="crs_grid_caption">
							
							<div class="crs_title"><h4><a href="course-detail.php/' . $encodedSubmenu . '" class="crs_title_link text-dark text-decoration-none">' . $row["awards"] . ' In ' . $row["courses"] . '</a></h4></div>
							<div class="crs_info_detail">
							<hr>
							<p>Minimum Fees : ₹' . $row["minimumfees"] . '</span></li>
									</p>
								
							</div>
							
						</div>
						<div class="crs_grid_foot">
							<div class="crs_flex">
								<div class="crs_fl_first">
									<div class="crs_price"><h4><span class="currency">₹</span><span class="theme-cl">' . $row["cprice"] . ' </span> <del class="text-danger">₹' . $row["cmrp"] . '</del></h4></div>
								</div>
								<div class="crs_fl_last">
									<div class="crs_linkview"><a href="course-detail.php/' . $encodedSubmenu . '" class="btn btn_view_detail theme-bg text-light">Enroll Now</a></div>
								</div>
							</div>
						</div>
				</div>
			</div>';
				}
			} else {
				echo "No Courses found.";
			}

			$db->close();
			?>

		</div>

	</div>
</section>
<!-- ============================ Course Detail ================================== -->
<?php include 'include/footer.php'; ?>