<?php
include 'admin/config.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $fullname = $_POST['fullname'];
    $phone = $_POST['phone'];
    $gender = $_POST['gender'];
    $email = $_POST['email'];
    $mname = $_POST['mname'];
    $postcode = $_POST['postcode'];
    $aadharno = $_POST['aadharno'];
    $dob = $_POST['dob'];
    $duration = $_POST['duration'];
    $course = $_POST['course'];
    $permanentaddress = $_POST['permanentaddress'];
    $city = $_POST['city'];
    $fname = $_POST['fname'];
    $hgqlafication = $_POST['hgqlafication'];
    $abbr = $_POST['abbr'];
    $altphone = $_POST['altphone'];
    $caste = $_POST['caste'];
    $occupation = $_POST['occupation'];

    $sql = "INSERT INTO callback (fullname, phone, gender, email, hgqlafication, fname, mname, state, city, postcode, permanentaddress, aadharno, dob, course, duration,abbr,altphone,caste,occupation) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,?, ?, ?, ?)";
    $stmt = $db->prepare($sql);

    if ($stmt->execute([$fullname, $phone, $gender, $email, $hgqlafication, $fname, $mname, $city, $city, $postcode, $permanentaddress, $aadharno, $dob, $course, $duration,$abbr,$altphone,$caste,$occupation])) {
        echo '<script>
        document.addEventListener("DOMContentLoaded", function() {
          Swal.fire({
            title: "Thank You!",
            text: "We Have Received Your Query Will Be In Touch Soon!",
            icon: "success",
            confirmButtonText: "OK"
          }).then((result) => {
            if (result.isConfirmed) {
              window.location.href = "index.php";
            }
          });
        });
      </script>';
    } else {
        echo 'Error: Unable to submit the form.';
    }
}
?>

<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

<div class="modal fade" id="enrollModal" tabindex="-1" role="dialog" aria-labelledby="enrollModalLabel"
    aria-hidden="true">
    <div class="modal-dialog modal-fullscreen" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="enrollModalLabel">Admission Form <i class="fa fa-paper-plane" ></i></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true"><img src="https://static.vecteezy.com/system/resources/previews/018/887/462/original/signs-close-icon-png.png" alt="Close" width="30px"></span>
                </button>
            </div>
            <div class="modal-body">
                <div class="container">
                    <div class="row">
                        <div class="col-md-12">
                            <form action="" method="POST">
                                <div class="row">

                                    <div class="col-md-2">
                                        
                                        <div class="form-group mt-2">
                                            <select name="abbr" class="form-control">
                                                <option value="Mr">Mr</option>
                                                <option value="Mrs">Mrs</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-5">
                                        <div class="form-group mt-2">
                                            <input type="text" class="form-control" id="name" placeholder="Full Name*"
                                                name="fullname" required>
                                        </div>
                                    </div>
                                    <div class="col-md-5">
                                        <div class="form-group mt-2">
                                            <input type="text" class="form-control" id="phone" placeholder="Phone*"
                                                name="phone" required>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <input type="text" class="form-control" id="phone" placeholder="Alternate Number*"
                                                name="altphone" >
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <select name="gender" class="form-control">
                                                <option value="Male">Male</option>
                                                <option value="Female">Female</option>
                                                <option value="Other">Other</option>
                                            </select>

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <input type="text" class="form-control" id="Email" placeholder="Email"
                                                name="email">

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <input type="text" class="form-control" id="Highest Qualification"
                                                placeholder="Highest Qualification" name="hgqlafication" >

                                        </div>
                                    </div>
                                    <?php
                                    $results = $db->query("SELECT * FROM courses");

                                    if ($results->num_rows > 0) {
                                        ?>
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label>Course</label>
                                                <select name="course" class="form-control" onchange="updateDuration(this)">
                                                    <option hidden>Select Course</option>
                                                    <?php
                                                    while ($row = $results->fetch_assoc()) {
                                                        echo '<option value="' . $row['courses'] . '" data-duration="' . $row['courseduration'] . '">' . $row['courses'] . '</option>';
                                                    }
                                                    ?>
                                                </select>

                                            </div>
                                        </div>

                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label>Course Duration</label>
                                                <input type="text" class="form-control" name="duration" id="durationInput"
                                                     readonly>
                                            </div>
                                        </div>
                                        <script>
                                            function updateDuration(select) {
                                                var selectedOption = select.options[select.selectedIndex];
                                                document.getElementById("durationInput").value = selectedOption.getAttribute("data-duration");
                                            }
                                        </script>

                                        <?php
                                    } else {
                                        echo "No courses available.";
                                    }

                                    ?>
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <input type="text" class="form-control" id="Father Name"
                                                placeholder="Father's Name" name="fname" >

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <input type="text" class="form-control" id="Father Name"
                                                placeholder="Mother's Name" name="mname" >

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <input type="text" class="form-control" id="State"
                                                placeholder="State" name="state" >

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <input type="text" class="form-control" id="city"
                                                placeholder="City You Live In" name="city" >

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <input type="text" class="form-control" id="postcode"
                                                placeholder="Pin Code" name="postcode" >

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <input type="text" class="form-control" id="permanentaddress"
                                                placeholder="Permanent Address" name="permanentaddress" >

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <input type="text" class="form-control" id="aadharno"
                                                placeholder="Aadhar Number" name="aadharno" >

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <input type="text" class="form-control" id="caste"
                                                placeholder="Category" name="caste" >

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <input type="text" class="form-control" id="occupation"
                                                placeholder="Occupation" name="occupation" >

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <input type="date" class="form-control" id="dob" name="dob" >

                                        </div>
                                    </div>
                                    
                                    <div class="modal-footer">

                                        <button type="submit" class="btn btn-primary">  Submit <i class="fa fa-paper-plane" ></i> </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Enrollment Form -->

        </div>

    </div>
</div>


<script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>

<script>
    function validateInput(inputElement) {
        const disallowedCharsRegex = /[?<>!;]/g;

        const inputValue = inputElement.value;

        const sanitizedValue = inputValue.replace(disallowedCharsRegex, '');

        inputElement.value = sanitizedValue;
    }
</script>