<?php include 'enrollnowmodal.php'; ?>

<!-- ============================ Call To Action ================================== -->
<section class="theme-bg call_action_wrap-wrap">
	<div class="container">
		<div class="row">
			<div class="col-lg-12">

				<div class="call_action_wrap">
					<div class="call_action_wrap-head">
						<h3>Do You Have Questions ?</h3>
						<span>We'll help you to grow your career and growth.</span>
					</div>
					<a href="contact.php" class="btn btn-call_action_wrap">Contact Us Today</a>
				</div>

			</div>
		</div>
	</div>
</section>
<!-- ============================ Call To Action End ================================== -->

<!-- ============================ Footer Start ================================== -->
<footer class="dark-footer skin-dark-footer style-2" style="background-color:<?php echo $fcolor; ?>">
	<div class="footer-middle">
		<div class="container">
			<div class="row">

				<div class="col-lg-5 col-md-5">
					<div class="footer_widget">
						<?php
						$logoSql = "SELECT image FROM logo LIMIT 1";
						$logoResult = mysqli_query($db, $logoSql);
						$logoRow = mysqli_fetch_assoc($logoResult);

						$logoImagePath = "admin/assets/logo/{$logoRow['image']}";
						?>

						<img class="lazyload" src="<?php echo $logoImagePath; ?>" alt="Brand Logo" width="220px">
						<?php


						// Fetch content from the home table
						$stmt = $db->prepare("SELECT image, title, description FROM home");
						$stmt->execute();
						$stmt->bind_result($homeImage, $homeTitle, $homeDescription);
						$stmt->fetch();
						$stmt->close();
						?>
						<p class="extream mt-3 mb-3">
							<?php
							$wordsLimit = 22;

							$words = explode(' ', $homeDescription);

							$limitedWords = implode(' ', array_slice($words, 0, $wordsLimit));

							echo $limitedWords;
							?>
						</p>

					</div>
				</div>

				<div class="col-lg-6 col-md-7 ml-auto">
					<div class="row">

						<div class="col-lg-4 col-md-4">
							<div class="footer_widget">
								<h4 class="widget_title">Important Links</h4>
								<ul class="footer-menu">
									<li>
										<a href="index.php" class="text-decoration-none">Home</a>
									</li>
									<li>
										<a href="courses.php" class="text-decoration-none">Courses</a>
									<li>
										<a href="gallery.php" class="text-decoration-none">Gallery</a>
									</li>
									<li>
										<a href="contact.php" class="text-decoration-none">Contact Us</a>
									</li>
									<li>
										<a href="verification.php" class="text-decoration-none">Verify Certificate</a>
									</li>

								</ul>
							</div>
						</div>

						<div class="col-lg-4 col-md-4">
							<div class="footer_widget">
								<h4 class="widget_title">About Us</h4>
								<ul class="footer-menu">
									<?php
									include('admin/config.php');

									$aboutUsSubMenuQuery = "SELECT submenu FROM menus WHERE menu = 'About Us'";
									$aboutUsSubMenuResult = mysqli_query($db, $aboutUsSubMenuQuery);
									while ($row = mysqli_fetch_assoc($aboutUsSubMenuResult)) {
										$submenu = $row['submenu'];
										$encodedSubmenu = urlencode($submenu);
										echo '<li>';
										echo '<a href="page-detail.php/' . $encodedSubmenu . '" class="text-decoration-none">' . $submenu . '</a>';
										echo '</li>';
									}
									?>

								</ul>
							</div>
						</div>

						<div class="col-lg-4 col-md-4">
							<div class="footer_widget">
								<h5 class="widget_title">Directions:</h5>
								<?php echo stripslashes($iframe); ?>
							</div>
						</div>

					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="footer-bottom">
		<div class="container">
			<div class="row">
				<div class="col-md-6">
					<?php
					include 'admin/config.php';
					$logoSql = "SELECT * FROM logo";
					$logoResult = mysqli_query($db, $logoSql);
					$logoRow = mysqli_fetch_assoc($logoResult);

					?>
					<p class="mb-0"> CopyRight ©
						<?php echo date('Y'); ?>
						<?php echo $logoRow['sitename'] ?>. All Right Reserved
					</p>
				</div>
				<div class="col-md-6 text-end">
					<a class="rounded-pill mx-2" href="<?php echo $linkedin; ?>" target="_blank" title="linkedin"><i
							class="fab fa-linkedin"></i></a>
					<a class="rounded-pill mx-2" href="<?php echo $telegram; ?>" target="_blank" title="telegram"><i
							class="fab fa-telegram"></i></a>
					<a class="rounded-pill mx-2" href="<?php echo $twitter; ?>" target="_blank" title="twitter"><i
							class="fab fa-twitter"></i></a>
					<a class="rounded-pill mx-2" href="<?php echo $ilink; ?>" target="_blank" title="instagram"><i
							class="fab fa-instagram"></i></a>

					<a class="rounded-pill mx-2" href="<?php echo $flink; ?>" target="_blank" title="facebook"><i
							class="fab fa-facebook"></i></a>
					<a class="rounded-pill mx-2" href="<?php echo $ylink; ?>" target="_blank" title="youtube"><i
							class="fab fa-youtube"></i></a>
					<a class="rounded-pill mx-2" href="whatsapp://send?phone=<?php echo $wno; ?>&text=I'd like to chat with you" target="_blank" title="whatsapp"><i
							class="fab fa-whatsapp"></i></a>
				</div>
			
			</div>
		</div>
	</div>
</footer>
<!-- ============================ Footer End ================================== -->


<a id="back2Top" class="top-scroll" title="Back to top" href="#"><i class="ti-arrow-up"></i></a>


</div>
<!-- ============================================================== -->
<!-- End Wrapper -->
<!-- ============================================================== -->

<!-- ============================================================== -->
<!-- All Jquery -->
<!-- ============================================================== -->
<script src="assets/js/jquery.min.js"></script>
<script src="assets/js/popper.min.js"></script>
<script src="assets/js/bootstrap.min.js"></script>
<script src="assets/js/select2.min.js"></script>
<script src="assets/js/slick.js"></script>
<script src="assets/js/moment.min.js"></script>
<script src="assets/js/daterangepicker.js"></script>
<script src="assets/js/summernote.min.js"></script>
<script src="assets/js/metisMenu.min.js"></script>
<script src="assets/js/custom.js"></script>
<!-- ============================================================== -->
<!-- This page plugins -->
<!-- ============================================================== -->
<script>

	$(document).ready(function () {
		$('#myModal').modal('show');
	});
</script>
</body>

</html>