
<?php
include 'admin/config.php';
$logoSql = "SELECT * FROM logo";
$logoResult = mysqli_query($db, $logoSql);
$logoRow = mysqli_fetch_assoc($logoResult);

$logoImagePath = !empty($logoRow['image']) ? "admin/assets/logo/{$logoRow['image']}" : '';
$faviconImagePath = !empty($logoRow['favicon']) ? "admin/assets/logo/{$logoRow['favicon']}" : '';
?>
<?php
$socialLinksSql = "SELECT * FROM socialinks LIMIT 1";
$socialLinksResult = mysqli_query($db, $socialLinksSql);
$socialLinksRow = mysqli_fetch_assoc($socialLinksResult);

$phoneLink = $socialLinksRow['phone'] ?? null;
$emailLink = $socialLinksRow['email'] ?? null;
$addressLink = $socialLinksRow['address'] ?? null;
$ilink = $socialLinksRow['ilink'] ?? null;
$flink = $socialLinksRow['flink'] ?? null;
$ylink = $socialLinksRow['ylink'] ?? null;
$iframe = $socialLinksRow['iframe'] ?? null;
$city = $socialLinksRow['city'] ?? null;
$wno = $socialLinksRow['wno'] ?? null;
?>
<?php
$colorSql = "SELECT * FROM color";
$colorResult = mysqli_query($db, $colorSql);
$colorRow = mysqli_fetch_assoc($colorResult);

$defaultHColor = '#30C2EC';
$defaultFColor = '#a5a5597d';

$hcolor = !empty($colorRow['hcolor']) ? $colorRow['hcolor'] : $defaultHColor;
$fcolor = !empty($colorRow['fcolor']) ? $colorRow['fcolor'] : $defaultFColor;

?>
<!DOCTYPE html>
<html lang="en">

<head>
    <base href="https://mrcomputercenter.in/demo2/">
    <meta charset="utf-8" />
    <meta name="author" content="Certificate" />
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="shortcut icon" href="<?php echo $faviconImagePath; ?>" type="image/x-icon">
    <!-- Custom CSS -->
    <link href="assets/css/styles.css" rel="stylesheet">

    <title>
        <?php echo $logoRow['sitename'] ?>| Best Computer Training Institutes in
        <?php echo $city; ?>
    </title>
    <meta name="description"
        content="<?php echo $logoRow['sitename'] ?> is one of the Best Computer Training Institute in  <?php echo $city; ?>. <?php echo $logoRow['sitename'] ?> offers all the latest and advanced courses like ADCA, DCA, and Tally with GST">
   
</head>

<body>
   
    <!-- ============================================================== -->
    <!-- Main wrapper - style you can find in pages.scss -->
    <!-- ============================================================== -->
    <div id="main-wrapper">

        <!-- ============================================================== -->
        <!-- Top header  -->
        <!-- ============================================================== -->
        <!-- Start Navigation -->
        <?php
$currentUrl = $_SERVER['PHP_SELF'];

$headerClass = "header header-light head-shadow";

if ($currentUrl === '/demo2/' || $currentUrl === '/demo2/index.php') {
    $headerClass = "header theme-bg light-menu";
}
?>
<div class="<?php echo $headerClass ?>" style="background-color:<?php echo $hcolor; ?>">
            <div class="container">
                <nav id="navigation" class="navigation navigation-landscape">
                    <div class="nav-header">
                        <a class="nav-brand" href="#">


                            <img class="lazyload" src="<?php echo $logoImagePath; ?>" alt="Brand Logo">
                        </a>
                        <div class="nav-toggle"></div>
                        <div class="mobile_nav">
                            <ul>
                                <li>
                                    <a href="javascript:void(0);" data-toggle="modal" data-target="#login"
                                        class="crs_yuo12 w-auto text-white theme-bg">
                                        <span class="embos_45">Apply Now</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div class="nav-menus-wrapper">
                        <ul class="nav-menu">
                            <li>
                                <a href="index.php">Home</a>
                            </li>
                            <li><a href="#">About Us<span class="submenu-indicator"></span></a>
                                <ul class="nav-dropdown nav-submenu">
                                    <?php
                                    include('admin/config.php');

                                    $aboutUsSubMenuQuery = "SELECT submenu FROM menus WHERE menu = 'About Us'";
                                    $aboutUsSubMenuResult = mysqli_query($db, $aboutUsSubMenuQuery);
                                    while ($row = mysqli_fetch_assoc($aboutUsSubMenuResult)) {
                                        $submenu = $row['submenu'];
                                        $encodedSubmenu = urlencode($submenu);
                                        echo '<li>';
                                        echo '<a href="page-detail.php/' . $encodedSubmenu . '">' . $submenu . '</a>';
                                        echo '</li>';
                                    }
                                    ?>

                                </ul>
                            </li>

                            <li>
                                <a href="courses.php">Courses</a>
                            </li>
                            <li><a href="#">Media Center<span class="submenu-indicator"></span></a>
                                <ul class="nav-dropdown nav-submenu">
                                    <li><a href="gallery.php">Gallery</a></li>
                                    <li><a href="videos.php">Video</a></li>
                                     </ul>
                            </li>
                            
                            <li>
                                <a href="contact.php">Contact Us</a>
                            </li>
                            <li>
                                <a href="verification.php">Verification</a>
                            </li>

                        </ul>
                        <ul class="nav-menu nav-menu-social align-to-right">
                            
                            
                            <li class="add-listing bg-white">
                            <a href="#" class="text-white" data-toggle="modal" data-target="#enrollModal">Apply
                                    Online</a>
                            </li>
                        </ul>
                        
                    </div>
                </nav>
            </div>
        </div>
        <!-- End Navigation -->
        <div class="clearfix"></div>

        <!-- ============================================================== -->
        <!-- Top header  -->
        <!-- ============================================================== -->


        <!-- ============================ Hero Banner  Start================================== -->