<?php
include_once('include/header.php');
include_once('admin/config.php');
$query = "SELECT image FROM slider";
$result = mysqli_query($db, $query);

$imageNames = array();

if ($result && mysqli_num_rows($result) > 0) {
	while ($row = mysqli_fetch_assoc($result)) {
		$imageNames[] = $row['image'];
	}
}
?>

<!-- ============================ Hero Banner  Start================================== -->

	<div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
		<div class="carousel-indicators">
			<?php for ($i = 0; $i < count($imageNames); $i++) { ?>
				<button type="button" data-bs-target="#carouselExampleIndicators" data-bs-slide-to="<?php echo $i; ?>" <?php echo ($i === 0) ? 'class="active"' : ''; ?> aria-label="Slide <?php echo $i + 1; ?>"></button>
			<?php } ?>
		</div>
		<div class="carousel-inner">
			<?php foreach ($imageNames as $index => $image) { ?>
				<div class="carousel-item <?php echo ($index === 0) ? 'active' : ''; ?>">
					<img src="admin/assets/slider/<?php echo $image; ?>" class="d-block w-100" alt="...">
				</div>
			<?php } ?>
		</div>
		<a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev">
			<span class="carousel-control-prev-icon" aria-hidden="true"></span>
			<span class="sr-only">Previous</span>
		</a>
		<a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
			<span class="carousel-control-next-icon" aria-hidden="true"></span>
			<span class="sr-only">Next</span>
		</a>
	</div>
<!-- ============================ Hero Banner End ================================== -->
<!-- Popup Modal -->
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
	<div class="modal-dialog modal-dialog-centered" role="document">
		<div class="modal-content">
			<?php
			include 'admin/config.php';

			$logoSql = "SELECT * FROM advertisement LIMIT 1";
			$logoResult = mysqli_query($db, $logoSql);
			$logoRow = mysqli_fetch_assoc($logoResult);

			?>
			<div class="modal-header">
				<h5 class="modal-title" id="exampleModalLabel">
					<?php echo $logoRow['title'] ?>
				</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true"><img src="https://static.vecteezy.com/system/resources/previews/018/887/462/original/signs-close-icon-png.png" alt="Close" width="30px"></span>
                </button>
			</div>
			<div class="modal-body">

			<a href="<?php echo $logoRow['link'] ?>">
					<img src="admin/assets/advertisement/<?php echo $logoRow['description'] ?>" width="467px" />
				</a>
			</div>
		</div>
	</div>
</div>
<!-- ============================ Hero Banner  Start================================== -->
<div class="hero_banner image-cover image_bottom">
	<div class="container">
		<div class="row align-items-center">
			<?php


			// Fetch content from the home table
			$stmt = $db->prepare("SELECT image, title, description FROM home");
			$stmt->execute();
			$stmt->bind_result($homeImage, $homeTitle, $homeDescription);
			$stmt->fetch();
			$stmt->close();
			?>
			<div class="col-lg-6 col-md-7 col-sm-12">
				<div class="simple-search-wrap text-left">
					<div class="hero_search-2">
						<h1 class="banner_title mb-4">
							<?php echo $homeTitle; ?>
						</h1>
						<p class="font-lg mb-4">
							<?php echo $homeDescription; ?>
						</p>

					</div>
				</div>
			</div>
			<div class="col-lg-6 col-md-5 col-sm-12">
				<div class="side_block">
					<img src="admin/assets/homecontent/<?php echo $homeImage; ?>" class="img-fluid" alt="content" />
				</div>
			</div>
		</div>
	</div>
</div>
<!-- ============================ Hero Banner End ================================== -->
<!-- ============================ Latest cources Start ================================== -->

<section class="min">
	<div class="container">
		<div class="row justify-content-center">
			<div class="col-lg-7 col-md-8">
				<div class="sec-heading center">
					<h2>Get Featured <span class="theme-cl">Courses</span></h2>
					<p>Explore our curated selection of high-quality courses designed to enhance your skills and
						knowledge. Whether you're a beginner or an experienced professional, we have something for
						everyone. Stay ahead in your field with our diverse range of courses covering various topics.
					</p>

				</div>
			</div>
		</div>

		<div class="row justify-content-center">

			<?php
			include("admin/config.php");

			$sql = "SELECT * FROM courses LIMIT 9";
			$result = $db->query($sql);

			if ($result->num_rows > 0) {
				while ($row = $result->fetch_assoc()) {
					$imagePath = 'admin/assets/course/' . $row['image'];
					$cname = $row["courses"];
					$encodedSubmenu = urlencode($cname);
					echo '<div class="col-xl-4 col-lg-4 col-md-6 col-sm-12">
					<div class="crs_grid">
						<div class="crs_grid_thumb">
						<a href="course-detail.php/' . $encodedSubmenu . '" class="crs_detail_link">
							<img src="' . $imagePath . '" class="img-fluid rounded" alt="">
						</a>
						</div>
						<div class="crs_grid_caption">
							
							<div class="crs_title"><h4><a href="course-detail.php/' . $encodedSubmenu . '" class="crs_title_link text-dark text-decoration-none">' . $row["awards"] . ' In ' . $row["courses"] . '</a></h4></div>
							<div class="crs_info_detail">
							<hr>
							<p>Minimum Fees : ₹' . $row["minimumfees"] . '<p>
								
							</div>
							
						</div>
						<div class="crs_grid_foot">
							<div class="crs_flex">
								<div class="crs_fl_first">
									<div class="crs_price"><h4><span class="currency">₹</span><span class="theme-cl">' . $row["cprice"] . ' </span> <del class="text-danger">₹' . $row["cmrp"] . '</del></h4></div>
								</div>
								<div class="crs_fl_last">
									<div class="crs_linkview"><a href="course-detail.php/' . $encodedSubmenu . '" class="btn btn_view_detail theme-bg text-light">Enroll Now</a></div>
								</div>
							</div>
						</div>
					</div>
				</div>';
				}
			} else {
				echo "No Courses found.";
			}

			?>

		</div>
		<div class="row justify-content-center">
			<div class="col-lg-7 col-md-8 mt-2">
				<div class="text-center"><a href="courses.php" class="btn btn-md theme-bg-light theme-cl">Explore More
						Cources</a></div>
			</div>
		</div>
	</div>
</section>



<!-- ============================ How It Works Start ================================== -->
<section class="min gray">
	<div class="container">

		<div class="row justify-content-center">
			<div class="col-lg-7 col-md-8">
				<div class="sec-heading center">
					<h2>How It <span class="theme-cl">Works?</span></h2>
					<p></p>
				</div>
			</div>
		</div>

		<div class="row justify-content-center mt-5">

			<!-- Single Location -->
			<div class="col-lg-4 col-md-4 col-sm-6">
				<div class="wrk_grid">
					<div class="wrk_grid_ico">
						<i class="fa fa-search-location"></i>
					</div>
					<div class="wrk_caption">
						<h4>Find Course</h4>
					
					</div>
				</div>
			</div>

			<!-- Single Location -->
			<div class="col-lg-4 col-md-4 col-sm-6">
				<div class="wrk_grid active">
					<div class="wrk_grid_ico">
						<i class="fa fa-calendar-week"></i>
					</div>
					<div class="wrk_caption">
						<h4>Book Your Seat</h4>
						
					</div>
				</div>
			</div>

			<!-- Single Location -->
			<div class="col-lg-4 col-md-4 col-sm-6">
				<div class="wrk_grid">
					<div class="wrk_grid_ico">
						<i class="fa fa-award"></i>
					</div>
					<div class="wrk_caption">
						<h4>Get Certificate</h4>
					
					</div>
				</div>
			</div>

		</div>

	</div>
</section>
<div class="clearfix"></div>
<!-- ============================ How It Works End ================================== -->

<!-- ============================ Our Toppers Start ================================== -->
<section class="pt-0">
	<div class="container">

		<div class="row justify-content-center">
			<div class="col-lg-7 col-md-10 text-center">
				<div class="sec-heading center mb-4">
					<h2>Our <span class="theme-cl">Toppers</span></h2>
					<p>Meet the brilliant minds who have excelled in their studies and made us proud.</p>

				</div>
			</div>
		</div>

		<div class="row justify-content-center">
			<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">
				<div class="tutor-slide">

					<?php
					include("admin/config.php");

					$sql = "SELECT * FROM toppers";
					$result = $db->query($sql);

					if ($result->num_rows > 0) {
						while ($row = $result->fetch_assoc()) {
							$imagePath = 'admin/assets/toppers/' . $row['image'];
							$imageSrc = (!empty($row['image']) && file_exists($imagePath)) ? $imagePath : 'assets/img/user.png';
							echo '<div class="lios_item">
						<div class="crs_trt_grid shadow_none brd">
							<div class="crs_trt_thumb">
								<img src="' . $imageSrc . '"
										class="img-fluid" alt="' . $row["name"] . '" />
							</div>
							<div class="crs_trt_caption large">
								<div class="instructor_tag"><span>' . $row["designation"] . '</span></div>
								<div class="instructor_title">
									<h4>' . $row["name"] . '</h4>
								</div>

							</div>

						</div>
					</div>';
						}
					} else {
						echo "No Toppers found.";
					}

					?>

				</div>
			</div>
		</div>

	</div>
</section>
<!-- ============================ Our Toppers End ================================== -->
<!-- ============================ Students Reviews ================================== -->
<section class="gray">
	<div class="container">

		<div class="row justify-content-center">
			<div class="col-lg-7 col-md-8">
				<div class="sec-heading center">
					<h2>Our Students <span class="theme-cl">Reviews</span></h2>
					<p>Discover what our students are saying about their experience with us. </p>
				</div>
			</div>
		</div>

		<div class="row justify-content-center">
			<div class="col-xl-12 col-lg-12 col-sm-12">

				<div class="reviews-slide space">

					<!-- Single Item -->
					<?php
					include("admin/config.php");

					$sql = "SELECT * FROM testimonial";
					$result = $db->query($sql);

					if ($result->num_rows > 0) {
						while ($row = $result->fetch_assoc()) {
							$imagePath = 'admin/assets/testimonialimages/' . $row['image'];
							$imageSrc = (!empty($row['image']) && file_exists($imagePath)) ? $imagePath : 'assets/img/user.png';
							echo '<div class="single_items lios_item">
						<div class="_testimonial_wrios shadow_none">
							<div class="_testimonial_flex">
								<div class="_testimonial_flex_first">
									<div class="_tsl_flex_thumb">
										<img src="' . $imageSrc . '" class="img-fluid reviewstudent" alt="' . $row["name"] . '">
									</div>
									<div class="_tsl_flex_capst">
										<h5>' . $row["name"] . '</h5>
										<div class="_ovr_posts"><span>' . $row["designation"] . '</span></div>
										
									</div>
								</div>
								<div class="_testimonial_flex_first_last">
									
								</div>
							</div>

							<div class="facts-detail">
								<p>' . $row["content"] . '</p>
							</div>
						</div>
					</div>';
						}
					} else {
						echo "No Reviews found.";
					}

					?>

				</div>

			</div>
		</div>

	</div>
</section>
<!-- ============================ Students Reviews End ================================== -->
<!-- ============================ Our Instructors Start ================================== -->
<section class="pt-0">
	<div class="container">

		<div class="row justify-content-center">
			<div class="col-lg-7 col-md-10 text-center">
				<div class="sec-heading center mb-4">
					<h2>Our <span class="theme-cl">Instructors</span></h2>
					<p>Meet our dedicated team of instructors who are passionate about sharing their knowledge and
						expertise. </p>

				</div>
			</div>
		</div>

		<div class="row justify-content-center">
			<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">
				<div class="tutor-slide">

					<?php
					include("admin/config.php");

					$sql = "SELECT * FROM team";
					$result = $db->query($sql);

					if ($result->num_rows > 0) {
						while ($row = $result->fetch_assoc()) {
							$imagePath = 'admin/assets/teams/' . $row['image'];
							$imageSrc = (!empty($row['image']) && file_exists($imagePath)) ? $imagePath : 'assets/img/user.png';
							echo '<div class="lios_item">
						<div class="crs_trt_grid shadow_none brd">
							<div class="crs_trt_thumb">
								<img src="' . $imageSrc . '"
										class="img-fluid" alt="' . $row["name"] . '" />
							</div>
							<div class="crs_trt_caption large">
								<div class="instructor_tag"><span>' . $row["designation"] . '</span></div>
								<div class="instructor_title">
									<h4>' . $row["name"] . '</h4>
								</div>

							</div>

						</div>
					</div>';
						}
					} else {
						echo "No Instructors found.";
					}

					?>

				</div>
			</div>
		</div>

	</div>
</section>
<!-- ============================ Our Instructors End ================================== -->




<?php include 'include/footer.php'; ?>