<?php include_once('include/header.php'); ?>
<?php
include 'admin/config.php';

// Get the requested URL
$current_url = $_SERVER['REQUEST_URI'];

$parts = explode('/', $current_url);
$productname = end($parts);
$productname = urldecode($productname);

$sql = "SELECT * FROM pagedetails WHERE pagemenu = ?";
$stmt = $db->prepare($sql);
$stmt->bind_param("s", $productname);
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows > 0) {
	$row = $result->fetch_assoc();
	?>
	<!-- ============================ Page Title Start================================== -->
	<section class="page-title">
		<div class="container">
			<div class="row">
				<div class="col-lg-12 col-md-12">

					<div class="breadcrumbs-wrap">
						<h1 class="breadcrumb-title">
							<?php echo htmlspecialchars($row["title"]); ?>
						</h1>
						<nav class="transparent">
							<ol class="breadcrumb p-0">
								<li class="breadcrumb-item"><a href="index.php" class="text-dark">Home</a></li>
								<li class="breadcrumb-item active theme-cl" aria-current="page">
									<?php echo htmlspecialchars($row["pagemenu"]); ?>
								</li>
							</ol>
						</nav>
					</div>

				</div>
			</div>
		</div>
	</section>
	<!-- ============================ Page Title End ================================== -->

	<!-- ============================ Blog Detail Start ================================== -->
	<section class="gray">

		<div class="container">

			<!-- row Start -->
			<div class="row">

				<!-- Blog Detail -->
				<div class="col-lg-8 col-md-12 col-sm-12 col-12">
					<div class="article_detail_wrapss single_article_wrap format-standard">
						<div class="article_body_wrap">

							<?php

							echo isset($row["description"]) ? $row["description"] : 'Page Details Not Found';
							?>


						</div>
					</div>


				</div>

				<!-- Single blog Grid -->
				<div class="col-lg-4 col-md-12 col-sm-12 col-12">


					<!-- About Us -->
					<div class="single_widgets widget_category">
						<h4 class="title">About Us</h4>
						<ul>
							<?php
							include('admin/config.php');

							$aboutUsSubMenuQuery = "SELECT submenu FROM menus";
							$aboutUsSubMenuResult = mysqli_query($db, $aboutUsSubMenuQuery);
							while ($roww = mysqli_fetch_assoc($aboutUsSubMenuResult)) {
								$submenu = $roww['submenu'];
								$encodedSubmenu = urlencode($submenu);
								echo '<li>';
								echo '<a href="page-detail.php/' . $encodedSubmenu . '" class="text-decoration-none">' . $submenu . '</a>';
								echo '</li>';
							}
							?>


						</ul>
					</div>



				</div>

			</div>
			<!-- /row -->

		</div>

	</section>
	<!-- ============================ Blog Detail End ================================== -->
	<?php
} else {
	?>
	<section class="page-title">
		<div class="container">
			<div class="row">
				<div class="col-lg-12 col-md-12">

					<div class="breadcrumbs-wrap">
						<h1 class="breadcrumb-title">
							<?php echo $productname ?>
						</h1>
						<nav class="transparent">
							<ol class="breadcrumb p-0">
								<li class="breadcrumb-item"><a href="index.php" class="text-dark">Home</a></li>
								<li class="breadcrumb-item active theme-cl" aria-current="page">
									<?php echo $productname ?>
								</li>
							</ol>
						</nav>
					</div>

				</div>
			</div>
		</div>
	</section>
	<!-- Mentor-details-area start -->
	<section class="gray">

		<div class="container">

			<!-- row Start -->
			<div class="row">

				<!-- Blog Detail -->
				<div class="col-lg-8 col-md-12 col-sm-12 col-12">
					<div class="article_detail_wrapss single_article_wrap format-standard">
						<div class="article_body_wrap">

							Page Details Not Found

						</div>
					</div>


				</div>

				<!-- Single blog Grid -->
				<div class="col-lg-4 col-md-12 col-sm-12 col-12">


					<!-- About Us -->
					<div class="single_widgets widget_category">
						<h4 class="title">About Us</h4>
						<ul>
							<?php
							include('admin/config.php');

							$aboutUsSubMenuQuery = "SELECT submenu FROM menus";
							$aboutUsSubMenuResult = mysqli_query($db, $aboutUsSubMenuQuery);
							while ($roww = mysqli_fetch_assoc($aboutUsSubMenuResult)) {
								$submenu = $roww['submenu'];
								$encodedSubmenu = urlencode($submenu);
								echo '<li>';
								echo '<a href="page-detail.php/' . $encodedSubmenu . '" class="text-decoration-none">' . $submenu . '</a>';
								echo '</li>';
							}
							?>


						</ul>
					</div>



				</div>

			</div>
			<!-- /row -->

		</div>

	</section>
	<!-- Mentor-details-area end -->
	<?php
}

$stmt->close();
include_once('include/footer.php');
?>