<!DOCTYPE html>
<html lang="zxx">
<?php
include_once('include/header.php');
include_once('admin/config.php');

$registrationMessage = '';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
	$registrationNumber = $_POST['studentname'];

	$query = "SELECT * FROM result WHERE studentname = ?";
	$stmt = $db->prepare($query);

	if ($stmt) {
		$stmt->bind_param("s", $registrationNumber);
		$stmt->execute();
		$result = $stmt->get_result();
		$studentData = $result->fetch_assoc();

		if ($studentData) {
			echo "<script>
                window.location.href = 'generate-result.php?idresult=" . $studentData['studentname'] . "';
            </script>";
			exit();
		} else {
			$registrationMessage = '<p><ul>
                <li>Your Result is Not out yet!</li>
                <li>Wrong Registration Number</li>
                <li class="text-danger">Please Enter Correct Registration Number</li>
            </ul>.</p>';
		}

		$stmt->close();
	} else {
		echo "Error in the statement.";
	}
}

?>

<section>
	<div class="container">
		<div class="row justify-content-center">

			<div class="col-xl-7 col-lg-8 col-md-12 col-sm-12">
				<form action="" method="post">
					<div class="crs_log_wrap">
						<div class="crs_log__thumb">
							<img src="assets/img/banner-2.jpg" class="img-fluid" alt="" />
						</div>
						<div class="crs_log__caption">
							<div class="rcs_log_123">
								<div class="rcs_ico"><i class="fas fa-lock"></i></div>
							</div>

							<div class="rcs_log_124">
								<div class="Lpo09">
									<h4>Verify Certificate</h4>
								</div>
								<?php echo $registrationMessage; ?>
								<div class="form-group">
									<label>Enter Registeration Number</label>
									<input type="text" name="studentname" id="regno" class="form-control"
                                         required>
									
								</div>
								<div class="form-group">
									<button type="submit" class="btn full-width btn-md theme-bg text-white">Verify</button>
								</div>
							</div>
						</div>
						
					</div>
				</form>
			</div>

		</div>
	</div>
</section>
<?php include 'include/footer.php' ?>